%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define _make %(if test x$MAKE = x ; then echo make; else echo $MAKE; fi)

%define glib2_version 2.2.3
%define pango_version 1.2.5
%define libxml2_version 2.5.11
%define libart_lgpl_version 2.3.16
%define libbonobo_version 2.4.0
# %define bonobo_activation_version @bonobo-activation_version@
%define freetype2_version 2.1.4
%define gtk_doc_version 1.1

Summary: 	Printing library for GNOME.
Name:		libgnomeprint
Version: 	2.3.1
Release:	1
License:	LGPL
Group:          System Environment/Base
Source: 	ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/%{name}/%{name}-%{version}.tar.bz2

Patch0:		libgnomeprint-2.3.1-aix.patch
Patch1:		libgnomeprint-2.3.1-autotools.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

PreReq:	libxml2
PreReq: perl
PreReq: libgnomeprint = %{PACKAGE_VERSION}

BuildPrereq: glib2-devel >= %{glib2_version}
BuildPrereq: pango-devel >= %{pango_version}
BuildPrereq: libxml2-devel >= %{libxml2_version}
BuildPrereq: libart_lgpl-devel >= %{libart_lgpl_version}
BuildPrereq: libbonobo-devel >= %{libbonobo_version}
# BuildPrereq: bonobo-activation-devel >= %{bonobo_activation_version}
BuildPrereq: freetype2 >= %{freetype2_version}
BuildPrereq: gtk-doc >= %{gtk_doc_version}


%description 
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print package contains
libraries and fonts needed by GNOME applications for printing.

You should install the gnome-print package if you intend to use any of
the GNOME applications that can print. If you would like to develop
GNOME applications that can print you will also need to install the
gnome-print devel package.

%package devel
Summary: Libraries and include files for developing GNOME applications.
Group: Development/Libraries

Requires: %{name} = %{PACKAGE_VERSION}
Requires: libgnomeprint = %{PACKAGE_VERSION}
Requires: glib2-devel >= %{glib2_version}
Requires: pango-devel >= %{pango_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: libbonobo-devel >= %{libbonobo_version}
# Requires: bonobo-activation-devel >= %{bonobo_activation_version}
Requires: freetype2 >= %{freetype2_version}

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print-devel package
includes the libraries and include files needed for developing
applications that use the GNOME printing capabilities.

You should install the gnome-print-devel package if you would like to
develop GNOME applications that will use the GNOME print capabilities.
You do not need to install the gnome-print-devel package if you just
want to use the GNOME desktop environment.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/libgnomeprint-2.3.1-aix.patch
$PATCH -p2 -s < %{_sourcedir}/libgnomeprint-2.3.1-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
%{_make}

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
%{_make} DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean

%files 
%defattr(-, root, system)
# 
# @faur1d
# %{_sysconfdir}/gnome/libgnomeprint-2.0 was not created ... ???
#
# %dir %{_sysconfdir}/gnome/libgnomeprint-2.0
#
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.a
%{_libdir}/libgnomeprint
%{_datadir}/libgnomeprint
%{_datadir}/locale/*/LC_MESSAGES/libgnomeprint*.mo

/usr/lib/lib*.a

%files devel
%defattr(-, root, system)
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc/*

/usr/include/*
